Subject: Re: linux-next: manual merge of the tip tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 15 Oct 2020 12:57:41 +1100

Hi all,

On Fri, 25 Sep 2020 15:25:45 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/arm/Makefile
> 
> between commit:
> 
>   596b0474d3d9 ("kbuild: preprocess module linker script")
> 
> from the kbuild tree and commit:
> 
>   5a17850e251a ("arm/build: Warn on orphan section placement")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc arch/arm/Makefile
> index e15f76ca2887,e589da3c8949..000000000000
> --- a/arch/arm/Makefile
> +++ b/arch/arm/Makefile
> @@@ -16,6 -16,14 +16,10 @@@ LDFLAGS_vmlinux	+= --be
>   KBUILD_LDFLAGS_MODULE	+= --be8
>   endif
>   
> + # We never want expected sections to be placed heuristically by the
> + # linker. All sections should be explicitly named in the linker script.
> + LDFLAGS_vmlinux += $(call ld-option, --orphan-handling=warn)
> + 
>  -ifeq ($(CONFIG_ARM_MODULE_PLTS),y)
>  -KBUILD_LDS_MODULE	+= $(srctree)/arch/arm/kernel/module.lds
>  -endif
>  -
>   GZFLAGS		:=-9
>   #KBUILD_CFLAGS	+=-pipe
>   

This is now a conflict between the kbuild tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell